Skip to content

updateChangeNoticeAffectedItemCutover

WRITE

Update change notice affected item cutover.

POST /api/v1/items/updateChangeNoticeAffectedItemCutover
curl -X POST '<your-host>/api/v1/items/updateChangeNoticeAffectedItemCutover' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "supersessionMode": "Consume First"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Consume First""Prefer New""Stock Only""No Stock"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "supersessionMode": {
      "type": "string",
      "enum": [
        "Consume First",
        "Prefer New",
        "Stock Only",
        "No Stock"
      ]
    },
    "discontinuationDate": {
      "type": "string"
    },
    "successorEffectivityDate": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "supersessionMode"
  ]
}